import 'package:account/src/core/data/datasource/account_remote_datasource.dart';
import 'package:account/src/core/data/datasource/account_remote_datasource_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:sf_infrastructure/sf_infrastructure.dart';

final accountRemoteDatasourceProvider = Provider<AccountRemoteDatasource>((ref) {
  final questiaRepository = getIt<QuestiaRepository>();
  return AccountRemoteDatasourceImpl(questiaRepository);
});
